Home > Element Reference : Parameter

Contents

### Parameter

Declares a parameter to a method. Each parameter has a name attribute with becomes a variable that is declared in the method body and has the value that was passed in to the method.

More information about Parameter

#### Attributes:

Attributes inherited from Element

class

The style class of the xbl:parameter. Multiple classes may be specified by separating them with spaces.

id

A unique identifier so that you can identify the xbl:parameter with. You can use this as a parameter to getElementById and other DOM functions and to reference the element in style sheets.

name

The name of the parameter. This will be declared as a variable within the method body and given the value passed in as the corresponding method parameter.

Copyright (C) 1999 - 2002 XULPlanet.com